Subject: Re: bug#40676: 28.0.50; gnus locks when reading email

From: Alex Branham <[email-masked]>
Date: Fri, 17 Apr 2020 13:26:30 -0400

> I can't reproduce this from 'emacs -Q'; could some element of your
> configuration be giving rise to this?  Can you try reproducing the
> problem from 'emacs -Q'?  Here's what I tried:
>
> 0. HOME=$(mktemp -d) emacs -Q
> 1. (setq gnus-select-method '(nntp "news.gwene.org")) C-x C-e
> 2. M-x gnus RET
> 3. ^ C-s gwene RET RET (browse gwene groups)
> 4. C-s gmane.emacs.devel RET (search for emacs-devel group)
> 5. u q q (subscribe and return to Group buffer)
> 6. RET 10 RET RET (select first out of 10 latest articles)

Thanks. I can't reproduce it that way. I don't think I have anything too
terribly crazy in my gnus config but I'll try to make time to go through
it.

> What does list-processes display in that situation?

Eli, the output of list-processes (removing some non-gnus related stuff) is:

*nnimap*        --      open     *nnimap localhost nil  *nntpd** --           Main         (network connection to localhost:imap)
dns             --      open     *temp*                   --           Main         (datagram connection to 192.168.1.1:domain)
dns<1>          --      open     *temp*-198741            --           Main         (datagram connection to 192.168.1.1:domain)
dns<2>          --      open     *temp*-84789             --           Main         (datagram connection to 192.168.1.1:domain)
dns<3>          --      open     *temp*-23796             --           Main         (datagram connection to 192.168.1.1:domain)
nntpd           --      open     *server news.gmane.io nntp  *nntpd** --           Main         (network connection to news.gmane.io:nntp)
server          --      listen  --                        --           Main         (network server on /run/user/1000/emacs/server)

At this point, gnus was complaining about the *temp*-23796 buffer
process having a running process.

I'm not sure if it's related, but recently-ish (after Emacs 26 but
before Emacs 27) gnus asks me on every open a question concerning
localhost certificates. I select "session".  Here's the output from the
message buffer:

Opening connection to localhost...
Continue connecting? (always, session only, no, details, ?): 
Accepting certificate for localhost:imap this session only.

Thanks, and let me know if I can provide any other info,
Alex